- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDiscriminator
TInlineParameterMapParser
TParameterMap
TParameterProperty
TResultMap
TResultProperty
TSimpleDynamicParser
TSqlMapCacheKey
TSqlMapCacheModel
TSqlMapCacheTypes
TSqlMapDelete
TSqlMapInsert
TSqlMapSelectKey
TSqlMapStatement
TSqlMapUpdate
TSqlMapXmlConfigBuilder
TSqlMapXmlConfiguration
TSqlMapXmlMappingConfiguration
TSubMap

Keyword

# Class TParameterProperty

    TComponent
       |
       --TParameterProperty

TParameterProperty corresponds to the <property> tag and defines one object property for the <parameterMap>

The NullValue attribute can be set to any valid value (based on property type). The NullValue attribute is used to specify an inbound null value replacement. What this means is that when the value is detected in the object property, a NULL will be written to the database (the opposite behavior of an inbound null value replacement). This allows you to use a magic null number in your application for types that do not support null values (such as int, double, float). When these types of properties contain a matching null value (for example, say, -9999), a NULL will be written to the database instead of the value.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
string | getColumn ()
string | getDbType ()
mixed | getNullValue ()
string | getProperty ()
string | getType ()
string | getTypeHandler ()
void | setColumn ( string $value)
void | setDbType ( string $value)
void | setNullValue ( mixed $value) The nullValue attribute is used to specify an outgoing null value replacement.
void | setProperty ( string $value)
void | setType ( string $value)
void | setTypeHandler ( string $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getColumn

public string getColumn | ()

Output
string | name of a parameter to be used in the SQL statement.
Exception

## getDbType

public string getDbType | ()

Output
string | the database column type of the parameter to be set by this property.
Exception

## getNullValue

public mixed getNullValue | ()

Output
mixed | null value replacement
Exception

## getProperty

public string getProperty | ()

Output
string | name of a property of the parameter object.
Exception

## getType

public string getType | ()

Output
string | type of the parameter's property
Exception

## getTypeHandler

public string getTypeHandler | ()

Output
string | class name of a custom type handler.
Exception

## setColumn

public void setColumn | (string $value )

Input
string | $value | name of a parameter to be used in the SQL statement.
Output
Exception

## setDbType

public void setDbType | (string $value )

Input
string | $value | the database column type of the parameter to be set by this property.
Output
Exception

## setNullValue

public void setNullValue | (mixed $value )

The nullValue attribute is used to specify an outgoing null value replacement.

Input
mixed | $value | null value replacement.
Output
Exception

## setProperty

public void setProperty | (string $value )

Input
string | $value | name of a property of the parameter object.
Output
Exception

## setType

public void setType | (string $value )

Input
string | $value | type of the parameter's property
Output
Exception

## setTypeHandler

public void setTypeHandler | (string $value )

Input
string | $value | class name of a custom type handler.
Output
Exception